Email
Inboxes
Marketing
SMS
Sign
Verify
Forms
Hooks
Risk
Platform
Delete a submission
DELETE
/v1/forms/{id}/submissions/{submission_id}
Deletes the submission and its files.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe form's id.
submission_id*stringThe submission's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The submission was deleted.
application/json- response
- response
- …
object*"form_submission"Value in
"form_submission"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.forms.submissions.remove("form_01kd2m8n3p4q5r6s7t8v9w0x1y", "fsub_01kd2m9a0b1c2d3e4f5g6h7j8k");{ "object": "form_submission", "id": "fsub_01kd2m9a0b1c2d3e4f5g6h7j8k", "deleted": true}